Update an input
POST/v1/streams/inputs/{inputId}
const url = 'https://api.ligr.live/rest/v1/streams/inputs/1';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","sourceUrl":"example","latencyMs":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v1/streams/inputs/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "sourceUrl": "example", "latencyMs": 1 }'Updates an input. The host, the application name and the stream key never change. To change the latency of a running stream, use set input latency on the stream instead.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Entity identifier
The input identifier
Request Bodyrequired
Section titled “Request Bodyrequired”object
Examplegenerated
{ "name": "example", "sourceUrl": "example", "latencyMs": 1}Responses
Section titled “Responses”Ok
An input of the organization. A default input is a push endpoint LIGR hosts: send RTMP to
rtmpUrl with streamKey, or SRT to srtUrl. A pull input reads sourceUrl.
object
Entity identifier
RTMP ingest URL. Publish with streamKey as the stream key.
SRT ingest URL, stream id included.
For a pull input: the URL LIGR pulls.
Receive latency in milliseconds.
Example
{ "type": "default"}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Input not found
object
Examplegenerated
{ "message": "example"}Api key has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}